.btn {
    display: inline-block;
    position: relative;

    border: none;
    overflow: hidden;

    &:focus {
        outline: none;
        animation: pulsare 1s infinite;
    }

    &_inline {
        padding-bottom: 2px;

        border-bottom: 1px solid currentColor;
        background-color: transparent;

        font-size: inherit;
        color: var(--color-primary);

        transition: all .2s;

        &:hover {
            cursor: pointer;
            color: var(--color-grey-dark-100);

            span {
                margin-left: 0.8rem;
                transition: margin-left .2s;
            }
        }

        span {
            margin-left: 0.3rem;
        }
    }

    &_primary {
        cursor: pointer;

        font-size: 1.5rem;
        font-weight: 300;
        color: $color-white;
        text-transform: uppercase;

        border-radius: 10rem;

        background-image: linear-gradient(to right, var(--color-primary-light), var(--color-primary-dark));

        &:hover {
            background-image: linear-gradient(to left, var(--color-primary-light), var(--color-primary-dark));
        }

        &:focus {

        }
    }

    &__text {
        display: inline-block;

        width: 100%;
        height: 100%;

        transition: all .4s;

        &_visible {
            padding: 2rem 7.5rem;
        }

        &_hidden {
            padding: 2rem 0;

            position: absolute;
            top: -100%;
            left: 0;
        }
    }

    &_primary:hover &__text_visible {
        transform: translateY(100%);
    }

    &_primary:hover &__text_hidden {
        top: 0;
    }
}
